#
# spec file for package diff-so-fancy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           diff-so-fancy
Version:        1.4.4
Release:        1.3
Summary:        Strives to make your diffs human readable
License:        MIT
BuildArch:      noarch
Group:          Productivity/Text/Utilities
URL:            https://github.com/so-fancy/diff-so-fancy
Source0:        https://github.com/so-fancy/diff-so-fancy/archive/v%{version}.tar.gz
Requires:       perl

%description
diff-so-fancy strives to make your diffs human readable instead of machine readable. This helps improve code quality and helps you spot defects faster.

%prep
%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/diff-so-fancy
mv lib/* third_party %{buildroot}%{_datadir}/diff-so-fancy/
chmod -x %{buildroot}%{_datadir}/diff-so-fancy/third_party/*/*.pl
sed -i '#!\/usr\/bin/d' %{buildroot}%{_datadir}/diff-so-fancy/third_party/*/*.pl
sed -i '0 , /^$/ d' %{buildroot}%{_datadir}/diff-so-fancy/third_party/*/*.pl
sed -i 's@/usr/bin/env perl@/usr/bin/perl@' diff-so-fancy
sed -i 's|^use lib .*$|use lib "/usr/share/diff-so-fancy";|' diff-so-fancy
install -Dm 0755 -t %{buildroot}%{_bindir}/ diff-so-fancy

%files
%license LICENSE
%doc README.md history.md
%{_bindir}/diff-so-fancy
%{_datadir}/*

%changelog
* Sat Jun 10 2023 Jan-Luca Kiok <opensuse-packages@jlk.one>
- Update to version 1.4.4
  * General maintenance release with bug fixes for modern versions
    of git
  * Much improved test suite to catch bugs earlier and easier
  * Better support for non-git use cases (vanilla diff and hg)
* Sun Apr 10 2022 Jan-Luca Kiok <me@jlk.one>
- Use direct shell commands instead of indirect macros within the
  specfile
- Neutralise summary
* Thu Apr  7 2022 Jan-Luca Kiok <me@jlk.one>
- Update to version 1.4.3
  * use fatpack build for npm
* Thu Apr  7 2022 Jan-Luca Kiok <me@jlk.one>
- Format spec file via osc service
* Mon Feb 28 2022 Jan-Luca Kiok <me@jlk.one>
- Fix error in sed command changing the lib directory
* Sun Feb 27 2022 Jan-Luca Kiok <me@jlk.one>
- Relocate DiffHighlight script to be found by executable
* Sun Feb 27 2022 Jan-Luca Kiok <me@jlk.one>
- Move from /opt to _datadir (/usr/share)
- Refit to text utils group
* Sun Feb 27 2022 Jan-Luca Kiok <me@jlk.one>
- Use macros instead of commands upon install
- Remove shebang and executable bit from third party scripts
- Replace env shebangs with real interpreters
* Sat Oct  9 2021 JL K <jlk@fsfe.org>
- Fix missing file
* Sun Mar  7 2021 JL K <jlk@fsfe.org>
- Bump to version 1.4.0
* Sat Jul 25 2020 JL K <jlk@fsfe.org>
- Init project
